# Uses of Enum Class
org.apache.lucene.search.suggest.analyzing.BlendedInfixSuggester.BlenderType

Packages that use BlendedInfixSuggester.BlenderType
Package
Description
org.apache.lucene.search.suggest.analyzing
Analyzer based autosuggest.

- ## Uses of BlendedInfixSuggester.BlenderType in org.apache.lucene.search.suggest.analyzing

  Methods in org.apache.lucene.search.suggest.analyzing that return BlendedInfixSuggester.BlenderType
  Modifier and Type
  Method
  Description
  `static BlendedInfixSuggester.BlenderType`
  BlendedInfixSuggester.BlenderType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlendedInfixSuggester.BlenderType[]`
  BlendedInfixSuggester.BlenderType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.search.suggest.analyzing with parameters of type BlendedInfixSuggester.BlenderType
  Modifier
  Constructor
  Description
  ``
  `BlendedInfixSuggester(Directory dir, Analyzer indexAnalyzer, Analyzer queryAnalyzer, int minPrefixChars, BlendedInfixSuggester.BlenderType blenderType, int numFactor, boolean commitOnBuild)`
  Create a new instance, loading from a previously built directory, if it exists.
  ``
  `BlendedInfixSuggester(Directory dir, Analyzer indexAnalyzer, Analyzer queryAnalyzer, int minPrefixChars, BlendedInfixSuggester.BlenderType blenderType, int numFactor, Double exponent, boolean commitOnBuild, boolean allTermsRequired, boolean highlight)`
  Create a new instance, loading from a previously built directory, if it exists.